from setuptools import setup, find_packages
data_files_to_include = [('', ['README.md', 'LICENSE'])]
setup(name='tcrsep',
      version='1.3',
      description='Selection model for immune receptor repertoires',
      long_description='None',
      url='https://github.com/jiangdada1221/TCRsep',
      author='Yuepeng Jiang',
      author_email='jiangdada12344321@gmail.com',
      license='GPLv3',
      classifiers=[
            'Development Status :: 3 - Alpha',
            'Intended Audience :: Developers',
            'Intended Audience :: Healthcare Industry',
            'Intended Audience :: Science/Research',
            'Topic :: Scientific/Engineering :: Bio-Informatics',
            'Topic :: Scientific/Engineering :: Artificial Intelligence',
            'Topic :: Scientific/Engineering :: Medical Science Apps.',
            'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
            'Natural Language :: English',
            'Programming Language :: Python :: 3',
            ],
      packages=find_packages(),
      python_requires = ">=3.6",
      install_requires=['numpy','torch>=1.8.0','tqdm','pandas','scikit-learn','Scipy','tcr2vec','olga','biopython','sympy','matplotlib'],
      data_files = data_files_to_include,
      include_package_data=True,
      zip_safe=False)